/**********************************************************************/
/*  FILE   : MQEV.H                                                   */
/*  PURPOSE: MQEV External Header File                                */
/*  AUTHOR : Paul Clarke                                              */
/**********************************************************************/
#define MQG_STREAM_NAME_LENGTH                    64
#define MQG_DATE_TIME_LENGTH                      30
#define MQG_WHERE_LENGTH                          1024
#define MQG_LOG_PATH_LENGTH                       1024
#define MQG_ALERT_TEXT_LENGTH                     1024
#define MQG_ALERT_CATEGORY_LENGTH                 10
#define MQG_TITLE_LENGTH                          20
#define MQG_BUILD_LENGTH                          64

#define MQG_MAX_STORM_EXCLUSION                   20
#define MQG_ALERT_TOPIC_STRING                    "MQGem/MQEV/Alerts"

#define MQG_MULTIPLE_TIMES                       -3

#define MQG_ANY_DATE                             "any"

#define MQG_STREAM_TYPE_ALL                      -999
#define MQG_STREAM_TYPE_STRINGS                  -1
#define MQG_STREAM_TYPE_EVENTS                    1
#define MQG_STREAM_TYPE_STAT_Q                    2
#define MQG_STREAM_TYPE_STAT_CHL                  3
#define MQG_STREAM_TYPE_STAT_MQI                  4
#define MQG_STREAM_TYPE_ACCT_Q                    5
#define MQG_STREAM_TYPE_ACCT_MQI                  6

#define MQGRCCF_COMMAND_OK_WITH_TEXT             10000
#define MQGRCCF_DATA_INCOMPLETE                  10001
#define MQGRCCF_MAX_SOURCE_REACHED               10002

#define MQGFB_NOT_AN_EVENT_MSG                  200000
#define MQGFB_NOT_A_STATISTICS_MSG              200001

#define MQG_CMD_FIRST                             9000
#define MQG_CMD_DISPLAY_EV                        9000
#define MQG_CMD_DISPLAY_EV_STREAM                 9001
#define MQG_CMD_DISPLAY_EV_Q_MGR                  9002
#define MQG_CMD_DISPLAY_EV_Q                      9003
#define MQG_CMD_DISPLAY_EVENTS                    9004
#define MQG_CMD_ALTER_EV                          9005
#define MQG_CMD_RESET_EV                          9006
#define MQG_CMD_REMOVE_EV_Q_MGR                   9007
#define MQG_CMD_ADD_EV_Q                          9008
#define MQG_CMD_REMOVE_EV_Q                       9009
#define MQG_CMD_ALTER_EV_Q                        9010
#define MQG_CMD_SUSPEND_EV_Q                      9011
#define MQG_CMD_RESUME_EV_Q                       9012
#define MQG_CMD_DISPLAY_EV_ALERT                  9013
#define MQG_CMD_REMOVE_EV_ALERT                   9014
#define MQG_CMD_DEFINE_EV_STREAM                  9015
#define MQG_CMD_ALTER_EV_STREAM                   9016
#define MQG_CMD_DELETE_EV_STREAM                  9017
#define MQG_CMD_RENAME_EV_STREAM                  9018
#define MQG_CMD_DISPLAY_EV_STREAM_STATUS          9019
#define MQG_CMD_PURGE_EV_STREAM_STATUS            9020
#define MQG_CMD_ADD_EV_ALERT                      9021
#define MQG_CMD_EVENT_CALLBACK_ESCAPE             9022
#define MQG_CMD_DISPLAY_STAT_Q                    9023
#define MQG_CMD_DISPLAY_STAT_CHL                  9024
#define MQG_CMD_DISPLAY_STAT_MQI                  9025
#define MQG_CMD_DISPLAY_ACCT_Q                    9026
#define MQG_CMD_DISPLAY_ACCT_MQI                  9027
#define MQG_CMD_STOP_EV                           9028
#define MQG_CMD_DEFINE_EV_EMIT                    9029
#define MQG_CMD_DISPLAY_EV_EMIT                   9030
#define MQG_CMD_ALTER_EV_EMIT                     9031
#define MQG_CMD_DELETE_EV_EMIT                    9032
#define MQG_CMD_LAST                              9032

#define MQG_ATTR_FIRST                           39100
#define MQG_ATTR_EV_ATTRS                        39100
#define MQG_ATTR_EV_STREAM_ATTRS                 39101
#define MQG_ATTR_EV_QMGR_ATTRS                   39102
#define MQG_ATTR_EV_QUEUE_ATTRS                  39103
#define MQG_ATTR_EV_EVENTS_ATTRS                 39104
#define MQG_ATTR_EV_ALERT_ATTRS                  39105
#define MQG_ATTR_EV_STREAM_STATUS_ATTRS          39106
#define MQG_ATTR_EV_STAT_Q_ATTRS                 39107
#define MQG_ATTR_EV_STAT_CHL_ATTRS               39108
#define MQG_ATTR_EV_STAT_MQI_ATTRS               39109
#define MQG_ATTR_EV_ACCT_Q_ATTRS                 39110
#define MQG_ATTR_EV_ACCT_MQI_ATTRS               39111
#define MQG_ATTR_EV_EMIT_ATTRS                   39112

#define MQG_GROUP_BEFORE                         39200
#define MQG_GROUP_AFTER                          39201
#define MQG_GROUP_COMMON                         39202
#define MQG_GROUP_DATA                           39203

#define MQG_ATTR_WHERE                           39300
#define MQG_ATTR_STREAM_NAME                     39301
#define MQG_ATTR_MAX_RESPONSES                   39302
#define MQG_ATTR_MQEV                            39303
#define MQG_ATTR_COMMAND_LEVEL                   39304
#define MQG_ATTR_EV_NAME                         39305
#define MQG_ATTR_EV_DESC                         39306
#define MQG_ATTR_USER_ID                         39307
#define MQG_ATTR_EVENT_COUNT                     39308
#define MQG_ATTR_ALERT_COUNT                     39309
#define MQG_ATTR_LOG_PATH                        39310
#define MQG_ATTR_EVENT_Q_STATUS                  39311
#define MQG_ATTR_EVENT_ALERT_GROUP               39312
#define MQG_ATTR_TIMEZONE                        39313
#define MQG_ATTR_EVENT_SUMMARY                   39314
#define MQG_ATTR_DISPLAY_TYPE                    39315   /* Detail, Summary, Condensed, Minimum */
#define MQG_ATTR_OBJECT                          39316
#define MQG_ATTR_OBJECT_TYPE                     39317
#define MQG_ATTR_FROM                            39318
#define MQG_ATTR_TO                              39319
#define MQG_ATTR_ALERT_CATEGORY                  39320
#define MQG_ATTR_LICENCE_ALERT_TIME              39321
#define MQG_ATTR_EVENT_TIME                      39322
#define MQG_ATTR_REPEAT_COUNT                    39323
#define MQG_ATTR_EXPIRY_TIME                     39324
#define MQG_ATTR_ITEM_COUNT                      39325
#define MQG_ATTR_EVENT_REASON                    39326
#define MQG_ATTR_EVENT_CFH_REASON                39327
#define MQG_ATTR_EVENT_CFH_COMMAND               39328
#define MQG_ATTR_MEMORY                          39329
#define MQG_ATTR_EVENT_ID                        39330
#define MQG_ATTR_LAST_MSG_TIME                   39331
#define MQG_ATTR_EVENT_Q_GROUP                   39332
#define MQG_ATTR_EVENT_Q_NAME                    39333
#define MQG_ATTR_EV_START_TIME                   39334
#define MQG_ATTR_EV_CONNECT_TIME                 39335
#define MQG_ATTR_STREAM_DEF_GROUP                39336
#define MQG_ATTR_STREAM_ID                       39337
#define MQG_ATTR_QMS_GROUP                       39338
#define MQG_ATTR_QMS_ID                          39339
#define MQG_ATTR_Q_MGR_NAME                      39340
#define MQG_ATTR_NUM_MESSAGES                    39341
#define MQG_ATTR_NUM_EVENTS                      39342
#define MQG_ATTR_NUM_COMMANDS                    39343
#define MQG_ATTR_EVENT_AUTHOR_COUNT              39344
#define MQG_ATTR_EVENT_CHL_COUNT                 39345
#define MQG_ATTR_EVENT_CMD_COUNT                 39346
#define MQG_ATTR_EVENT_CONFIG_COUNT              39347
#define MQG_ATTR_EVENT_INHIBIT_COUNT             39348
#define MQG_ATTR_EVENT_LOCAL_COUNT               39349
#define MQG_ATTR_EVENT_LOGGER_COUNT              39350
#define MQG_ATTR_EVENT_PERFM_COUNT               39351
#define MQG_ATTR_EVENT_REMOTE_COUNT              39352
#define MQG_ATTR_EVENT_SSL_COUNT                 39353
#define MQG_ATTR_EVENT_STRSTP_COUNT              39354
#define MQG_ATTR_STREAM_TYPE                     39355
#define MQG_ATTR_DEF_ALERT_RETENTION_INTERVAL    39356
#define MQG_ATTR_EVENT_BRIDGE_COUNT              39357
#define MQG_ATTR_DISPLAY_COMMANDS                39358
#define MQG_ATTR_DEAD_LETTER_QUEUE               39359
#define MQG_ATTR_USE_DEAD_LETTER_Q               39360
#define MQG_ATTR_EVENT_TYPE                      39361
#define MQG_ATTR_MAX_LOG_AGE                     39362
#define MQG_ATTR_MAX_LOG_SIZE                    39363
#define MQG_ATTR_LOG_RETENTION_INTERVAL          39364
#define MQG_ATTR_COUNT_RESET_TIME                39365
#define MQG_ATTR_RESET_TYPE                      39366
#define MQG_ATTR_Q_MGR_PURGE                     39367
#define MQG_ATTR_EVENT_Q_DESC                    39368
#define MQG_ATTR_FORWARD_Q_NAME                  39369
#define MQG_ATTR_DLQ_COUNT                       39370
#define MQG_ATTR_ERROR_COUNT                     39371
#define MQG_ATTR_SUSPENDED                       39372
#define MQG_ATTR_ALERT_ID                        39373
#define MQG_ATTR_ALERT_TEXT                      39374
#define MQG_ATTR_ALERT_SEVERITY                  39375
#define MQG_ATTR_ALERT_Q_MGR                     39376
#define MQG_ATTR_ALERT_TIME                      39377
#define MQG_ATTR_STREAM_DESC                     39378
#define MQG_ATTR_RETENTION_INTERVAL              39379
#define MQG_ATTR_DEFAULT_STREAM                  39380
#define MQG_ATTR_NEW_STREAM_NAME                 39381
#define MQG_ATTR_DATA_MSGS                       39382
#define MQG_ATTR_OLDEST_ITEM                     39383
#define MQG_ATTR_BORQ_COUNT                      39384
#define MQG_ATTR_LICENCE_REMIND_TIME             39385
#define MQG_ATTR_LICENCE_END_DATE                39386
#define MQG_ATTR_LICENCE_TIME_LEFT               39387
#define MQG_ATTR_VERSION_CHECK                   39388
#define MQG_ATTR_STORM_THRESHOLD                 39389
#define MQG_ATTR_STORM_INTERVAL                  39390
#define MQG_ATTR_STORM_EXCLUSION                 39391
#define MQG_ATTR_MINIMUM_SEVERITY                39392
#define MQG_ATTR_FORWARD_PERSISTENCE             39393
#define MQG_ATTR_SEEN_TIME                       39394

#define MQG_ATTR_SUM                             39395
#define MQG_ATTR_ZERO_VALUES                     39396
#define MQG_ATTR_START_OF_INTERVAL               39398
#define MQG_ATTR_END_OF_INTERVAL                 39399
#define MQG_ATTR_GAP_FILL                        39400
#define MQG_ATTR_INTERVALS                       39401
#define MQG_ATTR_NUM_ITEMS                       39402

#define MQG_ATTR_STAT_Q_COUNT                    39403
#define MQG_ATTR_STAT_CHL_COUNT                  39404
#define MQG_ATTR_STAT_MQI_COUNT                  39405
#define MQG_ATTR_ACCT_Q_COUNT                    39406
#define MQG_ATTR_ACCT_MQI_COUNT                  39407

#define MQG_ATTR_TEMPORARY_QUEUE_DISP            39408
#define MQG_ATTR_RECORDS                         39409
#define MQG_ATTR_PREWHERE                        39410
#define MQG_ATTR_INTERVAL                        39411
#define MQG_ATTR_INTERVAL_ALIGN                  39412
#define MQG_ATTR_DEFAULT_MAX_RECORDS             39413
#define MQG_ATTR_MAX_RECORDS                     39414
#define MQG_ATTR_BUILD                           39415

#define MQG_ATTR_EMIT_NAME                       39416
#define MQG_ATTR_EMIT_DESC                       39417
#define MQG_ATTR_EMIT_Q_NAME                     39418
#define MQG_ATTR_EMIT_FILE_NAME                  39419
#define MQG_ATTR_EMIT_FORMAT                     39420
#define MQG_ATTR_READER                          39421
#define MQG_ATTR_MSG_PERSISTENCE                 39422
#define MQG_ATTR_MAX_SIZE                        39423
#define MQG_ATTR_EMIT_DEF_GROUP                  39424
#define MQG_ATTR_ON_ERROR                        39425
#define MQG_ATTR_MSG_COUNT                       39426
#define MQG_ATTR_EVENT_TIME_SECS                 39427
#define MQG_ATTR_PUT_TRANSACT                    39428
#define MQG_ATTR_EMIT_GROUPING                   39429
#define MQG_ATTR_COLLATE                         39430
#define MQG_ATTR_TITLE                           39431

#define MQG_ATTR_LAST_USED                       39431

#define MQG_EMIT_NAME_LENGTH                     48
#define MQG_EMIT_FILE_NAME_LENGTH                300

#define MQG_FORMAT_JSON                          1
#define MQG_FORMAT_MQSC                          2
#define MQG_FORMAT_CSV                           3
#define MQG_FORMAT_NDJSON                        4

#define MQG_PUT_NORMAL                           0
#define MQG_PUT_IMMEDIATE                        1

#define MQG_ONERROR_SUSPEND                      0
#define MQG_ONERROR_DISCARD                      1

#define MQG_READER_PROGRAM                       0
#define MQG_READER_HUMAN                         1 

#define MQG_ATTR_ERROR_TEXT                      39999

#define MQG_ATTR_RESPONSE_DELIMITER              40000

                              /* Accounting and Statistics Attributes */
#define MQG_ACCST_FIRST                          31000
#define MQG_ACCST_64_AVG_Q_TIME_NP               31000
#define MQG_ACCST_64_AVG_Q_TIME_P                31001
#define MQG_ACCST_PUTS                           31002
#define MQG_ACCST_PUTS_NP                        31003
#define MQG_ACCST_PUTS_P                         31004
#define MQG_ACCST_PUTS_FAILED                    31005
#define MQG_ACCST_PUT1S                          31006
#define MQG_ACCST_PUT1S_NP                       31007
#define MQG_ACCST_PUT1S_P                        31008
#define MQG_ACCST_PUT1S_FAILED                   31009
#define MQG_ACCST_64_PUT_BYTES                   31010
#define MQG_ACCST_64_PUT_BYTES_NP                31011
#define MQG_ACCST_64_PUT_BYTES_P                 31012
#define MQG_ACCST_GETS                           31013
#define MQG_ACCST_GETS_NP                        31014
#define MQG_ACCST_GETS_P                         31015
#define MQG_ACCST_64_GET_BYTES                   31016
#define MQG_ACCST_64_GET_BYTES_NP                31017
#define MQG_ACCST_64_GET_BYTES_P                 31018
#define MQG_ACCST_GETS_FAILED                    31019
#define MQG_ACCST_BROWSES                        31020
#define MQG_ACCST_BROWSES_NP                     31021
#define MQG_ACCST_BROWSES_P                      31022
#define MQG_ACCST_BROWSES_FAILED                 31023
#define MQG_ACCST_64_BROWSE_BYTES                31024
#define MQG_ACCST_64_BROWSE_BYTES_NP             31025
#define MQG_ACCST_64_BROWSE_BYTES_P              31026
#define MQG_ACCST_MSGS_NOT_QUEUED                31027
#define MQG_ACCST_MSGS_EXPIRED                   31028
#define MQG_ACCST_MSGS_PURGED                    31029
#define MQG_ACCST_CBS                            31030
#define MQG_ACCST_CBS_CREATED                    31031
#define MQG_ACCST_CBS_REMOVED                    31032
#define MQG_ACCST_CBS_RESUMED                    31033
#define MQG_ACCST_CBS_SUSPENDED                  31034
#define MQG_ACCST_CBS_FAILED                     31035
#define MQG_ACCST_MIN_DEPTH                      31036
#define MQG_ACCST_MAX_DEPTH                      31037
#define MQG_ACCST_ALL_PUTS                       31038

#define MQG_ACCST_CONN_TIME                      31040
#define MQG_ACCST_DISC_TIME                      31041
#define MQG_ACCST_OPEN_QUEUE                     31042
#define MQG_ACCST_OPEN_NAMELIST                  31043
#define MQG_ACCST_OPEN_PROCESS                   31044
#define MQG_ACCST_OPEN_Q_MGR                     31045
#define MQG_ACCST_OPEN_TOPIC                     31046
#define MQG_ACCST_OPEN_FAIL_QUEUE                31047
#define MQG_ACCST_OPEN_FAIL_NAMELIST             31048
#define MQG_ACCST_OPEN_FAIL_PROCESS              31049
#define MQG_ACCST_OPEN_FAIL_Q_MGR                31050
#define MQG_ACCST_OPEN_FAIL_TOPIC                31051
#define MQG_ACCST_CLOSE_QUEUE                    31052
#define MQG_ACCST_CLOSE_NAMELIST                 31053
#define MQG_ACCST_CLOSE_PROCESS                  31054
#define MQG_ACCST_CLOSE_Q_MGR                    31055
#define MQG_ACCST_CLOSE_TOPIC                    31056
#define MQG_ACCST_CLOSE_FAIL_QUEUE               31057
#define MQG_ACCST_CLOSE_FAIL_NAMELIST            31058
#define MQG_ACCST_CLOSE_FAIL_PROCESS             31059
#define MQG_ACCST_CLOSE_FAIL_Q_MGR               31060
#define MQG_ACCST_CLOSE_FAIL_TOPIC               31061

#define MQG_ACCST_COMMIT                         31062
#define MQG_ACCST_COMMIT_FAIL                    31063
#define MQG_ACCST_BACKOUT                        31064
#define MQG_ACCST_INQ_QUEUE                      31065
#define MQG_ACCST_INQ_NAMELIST                   31066
#define MQG_ACCST_INQ_PROCESS                    31067
#define MQG_ACCST_INQ_Q_MGR                      31068
#define MQG_ACCST_INQ_FAIL_QUEUE                 31069
#define MQG_ACCST_INQ_FAIL_NAMELIST              31070
#define MQG_ACCST_INQ_FAIL_PROCESS               31071
#define MQG_ACCST_INQ_FAIL_Q_MGR                 31072
#define MQG_ACCST_SET_QUEUE                      31073
#define MQG_ACCST_SET_FAIL_QUEUE                 31074
#define MQG_ACCST_SUB_DUR_CREATED                31075
#define MQG_ACCST_SUB_DUR_ALTERED                31076
#define MQG_ACCST_SUB_DUR_RESUMED                31077
#define MQG_ACCST_SUB_NONDUR_CREATED             31078
#define MQG_ACCST_SUB_NONDUR_ALTERED             31079
#define MQG_ACCST_SUB_NONDUR_RESUMED             31080
#define MQG_ACCST_SUB_FAIL                       31081
#define MQG_ACCST_UNSUB_DUR_CLOSED               31082
#define MQG_ACCST_UNSUB_DUR_REMOVED              31083
#define MQG_ACCST_UNSUB_NONDUR_CLOSED            31084
#define MQG_ACCST_UNSUB_NONDUR_REMOVED           31085
#define MQG_ACCST_UNSUB_FAIL                     31086
#define MQG_ACCST_SUBRQ                          31087
#define MQG_ACCST_SUBRQ_FAIL                     31088
#define MQG_ACCST_CTL_STARTED                    31089
#define MQG_ACCST_CTL_STOPPED                    31090
#define MQG_ACCST_CTL_RESUMED                    31091
#define MQG_ACCST_CTL_SUSPENDED                  31092
#define MQG_ACCST_CTL_FAIL                       31093
#define MQG_ACCST_STAT                           31094
#define MQG_ACCST_STAT_FAIL                      31095
#define MQG_ACCST_PUT_TOPIC                      31096
#define MQG_ACCST_PUT_TOPIC_NP                   31097
#define MQG_ACCST_PUT_TOPIC_P                    31098
#define MQG_ACCST_PUT_TOPIC_FAIL                 31099
#define MQG_ACCST_PUT1_TOPIC                     31100
#define MQG_ACCST_PUT1_TOPIC_NP                  31101
#define MQG_ACCST_PUT1_TOPIC_P                   31102
#define MQG_ACCST_PUT1_TOPIC_FAIL                31103
#define MQG_ACCST_64_PUT_TOPIC_BYTES             31104
#define MQG_ACCST_64_PUT_TOPIC_BYTES_NP          31105
#define MQG_ACCST_64_PUT_TOPIC_BYTES_P           31106
#define MQG_ACCST_CONNECTIONS                    31107
#define MQG_ACCST_CONNECTION_DURATION            31108
#define MQG_ACCST_DISC_NORMAL                    31109
#define MQG_ACCST_DISC_IMPLICIT                  31110
#define MQG_ACCST_DISC_Q_MGR                     31111
#define MQG_ACCST_CONNECTIONS_FAILED             31112
#define MQG_ACCST_CONNECTIONS_MAX                31113
#define MQG_ACCST_SUB_DUR_HIGHWATER_ALL          31114
#define MQG_ACCST_SUB_DUR_HIGHWATER_API          31115
#define MQG_ACCST_SUB_DUR_HIGHWATER_ADMIN        31116
#define MQG_ACCST_SUB_DUR_HIGHWATER_PROXY        31117
#define MQG_ACCST_SUB_DUR_LOWWATER_ALL           31118
#define MQG_ACCST_SUB_DUR_LOWWATER_API           31119
#define MQG_ACCST_SUB_DUR_LOWWATER_ADMIN         31120
#define MQG_ACCST_SUB_DUR_LOWWATER_PROXY         31121
#define MQG_ACCST_SUB_NDUR_HIGHWATER_ALL         31122
#define MQG_ACCST_SUB_NDUR_HIGHWATER_API         31123
#define MQG_ACCST_SUB_NDUR_HIGHWATER_ADMIN       31124
#define MQG_ACCST_SUB_NDUR_HIGHWATER_PROXY       31125
#define MQG_ACCST_SUB_NDUR_LOWWATER_ALL          31126
#define MQG_ACCST_SUB_NDUR_LOWWATER_API          31127
#define MQG_ACCST_SUB_NDUR_LOWWATER_ADMIN        31128
#define MQG_ACCST_SUB_NDUR_LOWWATER_PROXY        31129
#define MQG_ACCST_PUBLISH_MSG                    31130
#define MQG_ACCST_PUBLISH_MSG_NP                 31131
#define MQG_ACCST_PUBLISH_MSG_P                  31132
#define MQG_ACCST_64_PUBLISH_MSG_BYTES           31133
#define MQG_ACCST_64_PUBLISH_MSG_BYTES_NP        31134
#define MQG_ACCST_64_PUBLISH_MSG_BYTES_P         31135
#define MQG_ACCST_MSGS                           31136
#define MQG_ACCST_64_BYTES                       31137
#define MQG_ACCST_NET_TIME_MIN                   31138
#define MQG_ACCST_NET_TIME_AVG                   31139
#define MQG_ACCST_NET_TIME_MAX                   31140
#define MQG_ACCST_EXIT_TIME_MIN                  31141
#define MQG_ACCST_EXIT_TIME_AVG                  31142
#define MQG_ACCST_EXIT_TIME_MAX                  31143
#define MQG_ACCST_FULL_BATCHES                   31144
#define MQG_ACCST_INCOMPLETE_BATCHES             31145
#define MQG_ACCST_AVG_BATCHES                    31146
#define MQG_ACCST_PUT_RETRIES                    31147
#define MQG_ACCST_CREATE_TIME                    31148
#define MQG_ACCST_OPEN_TIME                      31149
#define MQG_ACCST_CLOSE_TIME                     31150
#define MQG_ACCST_OPEN_COUNT                     31151
#define MQG_ACCST_PUT_MIN_BYTES                  31152
#define MQG_ACCST_PUT_MIN_BYTES_NP               31153
#define MQG_ACCST_PUT_MIN_BYTES_P                31154
#define MQG_ACCST_PUT_MAX_BYTES                  31155
#define MQG_ACCST_PUT_MAX_BYTES_NP               31156
#define MQG_ACCST_PUT_MAX_BYTES_P                31157
#define MQG_ACCST_GET_MIN_BYTES                  31158
#define MQG_ACCST_GET_MIN_BYTES_NP               31159
#define MQG_ACCST_GET_MIN_BYTES_P                31160
#define MQG_ACCST_GET_MAX_BYTES                  31161
#define MQG_ACCST_GET_MAX_BYTES_NP               31162
#define MQG_ACCST_GET_MAX_BYTES_P                31163
#define MQG_ACCST_BRS_MIN_BYTES                  31164
#define MQG_ACCST_BRS_MIN_BYTES_NP               31165
#define MQG_ACCST_BRS_MIN_BYTES_P                31166
#define MQG_ACCST_BRS_MAX_BYTES                  31167
#define MQG_ACCST_BRS_MAX_BYTES_NP               31168
#define MQG_ACCST_BRS_MAX_BYTES_P                31169
#define MQG_ACCST_GENERATED_MSG_COUNT            31170
#define MQG_ACCST_64_TIME_ON_Q_MIN_NP            31171
#define MQG_ACCST_64_TIME_ON_Q_MIN_P             31172
#define MQG_ACCST_64_TIME_ON_Q_AVG_NP            31173
#define MQG_ACCST_64_TIME_ON_Q_AVG_P             31174
#define MQG_ACCST_64_TIME_ON_Q_MAX_NP            31175
#define MQG_ACCST_64_TIME_ON_Q_MAX_P             31176
#define MQG_ACCST_CLOSE_COUNT                    31177
#define MQG_ACCST_LAST_USED                      31177

#define MQG_SUSPENDED_NO                          0
#define MQG_SUSPENDED_YES                         1

#define MQG_DEFAULT_NO                            0
#define MQG_DEFAULT_YES                           1

#define MQG_PERSISTENCE_NO                        0
#define MQG_PERSISTENCE_YES                       1
#define MQG_PERSISTENCE_AS_MESSAGE                2

#define MQG_QSTATUS_DEFINED                       0
#define MQG_QSTATUS_ACTIVE                        1
#define MQG_QSTATUS_NOT_AUTH                      2
#define MQG_QSTATUS_WRONG_TYPE                    3
#define MQG_QSTATUS_NOT_EXIST                     4
#define MQG_QSTATUS_INHIBIT_GET                   5
#define MQG_QSTATUS_FWDQ_FAIL                     6
#define MQG_QSTATUS_IN_USE                        7
#define MQG_QSTATUS_SUSPENDED                     8
#define MQG_QSTATUS_FAILED                        9
#define MQG_QSTATUS_BOQ_FAIL                      10
#define MQG_QSTATUS_EMIT_FAIL                     11

#define MQG_SEVERITY_INFO                         10
#define MQG_SEVERITY_WARN                         20
#define MQG_SEVERITY_ERROR                        30
#define MQG_SEVERITY_SEVERE                       40
#define MQG_SEVERITY_TERM                         50

#define MQG_EMIT_GROUPING_ORIGINAL                0
#define MQG_EMIT_GROUPING_SINGLE                  1

#define MQG_VERSION_CHECK_NO                      0
#define MQG_VERSION_CHECK_VERSION                 1
#define MQG_VERSION_CHECK_BUILD                   2

#define MQG_SUSPENDED_NO                          0
#define MQG_SUSPENDED_YES                         1

#define MQG_PURGE_NO                              0
#define MQG_PURGE_YES                             1

#define MQG_RESET_TYPE_COUNTS                     1
#define MQG_RESET_TYPE_QM_CFG                     2

#define MQG_EVQMGR_STS_CONNECTING                 1
#define MQG_EVQMGR_STS_RUNNING                    2
#define MQG_EVQMGR_STS_RETRYING                   3
#define MQG_EVQMGR_STS_STOPPED                    4

#define MQG_DISPLAY_TYPE_DETAIL                   1
#define MQG_DISPLAY_TYPE_SUMMARY                  2
#define MQG_DISPLAY_TYPE_CONDENSED                3
#define MQG_DISPLAY_TYPE_MINIMUM                  4

#define MQG_DISPCMDS_DSCARD                       1
#define MQG_DISPCMDS_HIDE                         2
#define MQG_DISPCMDS_SHOW                         3

#define MQG_TEMPQ_DISCARD                         0
#define MQG_TEMPQ_STORE                           1

#define MQG_USEDLQ_NO                             0
#define MQG_USEDLQ_YES                            1
#define MQG_USEDLQ_IF_AVAIL                       2

#define MQG_SUM_NONE                              1
#define MQG_SUM_TOTAL                             2
#define MQG_SUM_QUEUE                             3
#define MQG_SUM_APPLICATION_NAME                  4
#define MQG_SUM_CHANNEL_NAME                      5
#define MQG_SUM_CONNECTION_NAME                   6
#define MQG_SUM_USER_ID                           7
#define MQG_SUM_RPRODUCT                          8
#define MQG_SUM_RVERSION                          9
#define MQG_SUM_CONNECTION_ID                    10
#define MQG_SUM_STREAM                           11
#define MQG_SUM_REMOTE_QMGR                      12
#define MQG_SUM_PID                              13
#define MQG_SUM_TID                              14
#define MQG_SUM_PREFIX                           15
#define MQG_SUM_PREFIX2                          16
#define MQG_SUM_SUFFIX                           17

#define MQG_ZEROVALS_HIDE                         0
#define MQG_ZEROVALS_SHOW                         1

#define MQG_COLLATE_NONE                          0

#define MQG_COLLATE_WEEK1D                       20  /* Day of Week                       */
#define MQG_COLLATE_WEEK12H                      21  /* Week, split into 12 hour chunks   */
#define MQG_COLLATE_WEEK8H                       22  /* Week, split into  8 hour chunks   */
#define MQG_COLLATE_WEEK4H                       23  /* Week, split into  4 hour chunks   */
#define MQG_COLLATE_WEEK2H                       24  /* Week, split into  2 hour chunks   */
#define MQG_COLLATE_WEEK1H                       25  /* Week, split into  1 hour chunks   */

#define MQG_COLLATE_DAY12H                       40  /* Day, split into 12 hour chunks    */
#define MQG_COLLATE_DAY8H                        41  /* Day, split into  8 hour chunks    */
#define MQG_COLLATE_DAY4H                        42  /* Day, split into  4 hour chunks    */
#define MQG_COLLATE_DAY2H                        43  /* Day, split into  2 hour chunks    */
#define MQG_COLLATE_DAY1H                        44  /* Day, split into each hour         */
#define MQG_COLLATE_DAY30M                       45  /* Day, split into 30 minute chunks  */
#define MQG_COLLATE_DAY15M                       46  /* Day, split into 15 minute chunks  */
#define MQG_COLLATE_DAY10M                       47  /* Day, split into 10 minute chunks  */
#define MQG_COLLATE_DAY5M                        48  /* Day, split into  5 minute chunks  */
#define MQG_COLLATE_DAY8H4                       49  /* Day, split into  3 8-hour shift   */
#define MQG_COLLATE_DAY12H6                      50  /* Day, split into  day/night        */

#define MQG_COLLATE_HOUR30M                      60  /* Hour, split into 30 minute chunks */
#define MQG_COLLATE_HOUR15M                      61  /* Hour, split into 15 minute chunks */
#define MQG_COLLATE_HOUR10M                      62  /* Hour, split into 10 minute chunks */
#define MQG_COLLATE_HOUR5M                       63  /* Hour, split into  5 minute chunks */
#define MQG_COLLATE_HOUR1M                       64  /* Hour, split into  1 minute chunks */

#define MQG_COLLATE_MONTH                        80  /* Month                             */

#define MQG_ALIGN_CLOCK                           0
#define MQG_ALIGN_MQ                              1

#define MQG_GAPFILL_NO                            0
#define MQG_GAPFILL_INNER                         1
#define MQG_GAPFILL_ACTIVITY                      2
#define MQG_GAPFILL_FULL                          3

#define MQG_GAP_NO                                0
#define MQG_GAP_YES                               1

#define MQG_EV_NAME_LENGTH                        8
#define MQG_EV_DESC_LENGTH                        64
#define MQG_EV_DATE_TIME_LENGTH                   30       /* YYYY-MM-DD HH:MM:SS (UTC+1440)*/
#define MQG_EV_DATE_LENGTH                        10       /* YYYY-MM-DD */
#define MQG_EV_STREAM_NAME_LENGTH                 64

#define MQG_OT_SUB                                10000
#define MQG_OT_NOT_APPLICABLE                     10001
#define MQG_OT_TOPICSTR                           10002
#define MQG_OT_BUFFER_POOL                        10003
#define MQG_OT_PAGE_SET                           10004
#define MQG_OT_EVENT_QUEUE                        10005

#define MQG_EVENT_REASON_AUTH                         1000
                                                               /* MQIACF_REASON_QUALIFIER */
#define MQG_EVENT_REASON_AUTH_CONN_NOT_AUTH           1001     /* MQRQ_CONN_NOT_AUTHORIZED */
#define MQG_EVENT_REASON_AUTH_SYS_CONN_NOT_AUTH       1002     /* MQRQ_SYS_CONN_NOT_AUTHORIZED */
#define MQG_EVENT_REASON_AUTH_CSP_NOT_AUTH            1003     /* MQRQ_CSPNOT_AUTHORIZED */
#define MQG_EVENT_REASON_AUTH_OPEN_NOT_AUTH           1004     /* MQRQ_OPEN_NOT_AUTHORIZED */
#define MQG_EVENT_REASON_AUTH_CLOSE_NOT_AUTH          1005     /* MQRQ_CLOSE_NOT_AUTHORIZED */
#define MQG_EVENT_REASON_AUTH_CMD_NOT_AUTH            1006     /* MQRQ_CMD_NOT_AUTHORIZED */
#define MQG_EVENT_REASON_AUTH_SUB_NOT_AUTH            1007     /* MQRQ_SUB_NOT_AUTHORIZED */
#define MQG_EVENT_REASON_AUTH_SUB_DEST_NOT_AUTH       1008     /* MQRQ_SUB_DEST_NOT_AUTHORIZED */

#define MQG_EVENT_REASON_CHANNEL                      2000
#define MQG_EVENT_REASON_CHANNEL_BRIDGE_START         2001    /* MQRC_BRIDGE_STARTED */
#define MQG_EVENT_REASON_CHANNEL_BRIDGE_STOP          2002    /* MQRC_BRIDGE_STOPPED */
#define MQG_EVENT_REASON_CHANNEL_ACTIVATED            2003    /* MQRC_CHANNEL_ACTIVATED */
#define MQG_EVENT_REASON_CHANNEL_AUTO_DEF_ERROR       2004    /* MQRC_CHANNEL_AUTO_DEF_ERROR */
#define MQG_EVENT_REASON_CHANNEL_AUTO_DEF_OK          2005    /* MQRC_CHANNEL_AUTO_DEF_OK */
#define MQG_EVENT_REASON_CHANNEL_BLOCKED              2006    /* MQRC_CHANNEL_BLOCKED */
#define MQG_EVENT_REASON_CHANNEL_CONV_ERROR           2007    /* MQRC_CHANNEL_CONV_ERROR */
#define MQG_EVENT_REASON_CHANNEL_NOT_ACTIVATED        2008    /* MQRC_CHANNEL_NOT_ACTIVATED */
#define MQG_EVENT_REASON_CHANNEL_NOT_AVAILABLE        2009    /* MQRC_CHANNEL_NOT_AVAILABLE */
#define MQG_EVENT_REASON_CHANNEL_STARTED              2010    /* MQRC_CHANNEL_STARTED */
#define MQG_EVENT_REASON_CHANNEL_STOPPED              2011    /* MQRC_CHANNEL_STOPPED */
#define MQG_EVENT_REASON_CHANNEL_STOPPED_BY_USER      2012    /* MQRC_CHANNEL_STOPPED_BY_USER */
#define MQG_EVENT_REASON_CHANNEL_BLOCKED_WARNING      2013    /* MQRC_CHANNEL_BLOCKED_WARNING */
#define MQG_EVENT_REASON_CHANNEL_MAX_ACTIVE           2014    /* MQRQ_MAX_ACTIVE_CHANNELS */
#define MQG_EVENT_REASON_CHANNEL_MAX_CHANNELS         2015    /* MQRQ_MAX_CHANNELS */
#define MQG_EVENT_REASON_CHANNEL_MAX_INST             2016    /* MQRQ_SVRCONN_INST_LIMIT */
#define MQG_EVENT_REASON_CHANNEL_MAX_INSTC            2017    /* MQRQ_CLIENT_INST_LIMIT */
#define MQG_EVENT_REASON_CHANNEL_BLOCKED_ADDRESS      2018    /* MQRQ_CHANNEL_BLOCKED_ADDRESS  */
#define MQG_EVENT_REASON_CHANNEL_BLOCKED_USERID       2019    /* MQRQ_CHANNEL_BLOCKED_USERID   */
#define MQG_EVENT_REASON_CHANNEL_BLOCKED_NOACCESS     2020    /* MQRQ_CHANNEL_BLOCKED_NOACCESS */
#define MQG_EVENT_REASON_CHANNEL_WBLOCKED_ADDRESS     2021    /* MQRQ_CHANNEL_BLOCKED_ADDRESS  */
#define MQG_EVENT_REASON_CHANNEL_WBLOCKED_USERID      2022    /* MQRQ_CHANNEL_BLOCKED_USERID   */
#define MQG_EVENT_REASON_CHANNEL_WBLOCKED_NOACCESS    2023    /* MQRQ_CHANNEL_BLOCKED_NOACCESS */

#define MQG_EVENT_REASON_CMD                          3000
                                                              /* MQIACF_COMMAND */
#define MQG_EVENT_REASON_CMD_ARCHIVE_LOG              3001    /* MQCMD_ARCHIVE_LOG */
#define MQG_EVENT_REASON_CMD_BACKUP_CF_STRUC          3002    /* MQCMD_BACKUP_CF_STRUC */
#define MQG_EVENT_REASON_CMD_CHANGE_AUTH_INFO         3003    /* MQCMD_CHANGE_AUTH_INFO */
#define MQG_EVENT_REASON_CMD_CHANGE_BUFFER_POOL       3004    /* MQCMD_CHANGE_BUFFER_POOL */
#define MQG_EVENT_REASON_CMD_CHANGE_CF_STRUC          3005    /* MQCMD_CHANGE_CF_STRUC */
#define MQG_EVENT_REASON_CMD_CHANGE_CHANNEL           3006    /* MQCMD_CHANGE_CHANNEL */
#define MQG_EVENT_REASON_CMD_CHANGE_COMM_INFO         3007    /* MQCMD_CHANGE_COMM_INFO */
#define MQG_EVENT_REASON_CMD_CHANGE_LISTENER          3008    /* MQCMD_CHANGE_LISTENER */
#define MQG_EVENT_REASON_CMD_CHANGE_NAMELIST          3009    /* MQCMD_CHANGE_NAMELIST */
#define MQG_EVENT_REASON_CMD_CHANGE_PAGE_SET          3010    /* MQCMD_CHANGE_PAGE_SET */
#define MQG_EVENT_REASON_CMD_CHANGE_PROCESS           3011    /* MQCMD_CHANGE_PROCESS */
#define MQG_EVENT_REASON_CMD_CHANGE_Q                 3012    /* MQCMD_CHANGE_Q */
#define MQG_EVENT_REASON_CMD_CHANGE_Q_MGR             3013    /* MQCMD_CHANGE_Q_MGR */
#define MQG_EVENT_REASON_CMD_CHANGE_SECURITY          3014    /* MQCMD_CHANGE_SECURITY */
#define MQG_EVENT_REASON_CMD_CHANGE_SERVICE           3015    /* MQCMD_CHANGE_SERVICE */
#define MQG_EVENT_REASON_CMD_CHANGE_STG_CLASS         3016    /* MQCMD_CHANGE_STG_CLASS */
#define MQG_EVENT_REASON_CMD_CHANGE_SUBSCRIPTION      3017    /* MQCMD_CHANGE_SUBSCRIPTION */
#define MQG_EVENT_REASON_CMD_CHANGE_TOPIC             3018    /* MQCMD_CHANGE_TOPIC */
#define MQG_EVENT_REASON_CMD_CHANGE_TRACE             3019    /* MQCMD_CHANGE_TRACE */
#define MQG_EVENT_REASON_CMD_CLEAR_Q                  3020    /* MQCMD_CLEAR_Q */
#define MQG_EVENT_REASON_CMD_CLEAR_TOPIC_STRING       3021    /* MQCMD_CLEAR_TOPIC_STRING */
#define MQG_EVENT_REASON_CMD_CREATE_AUTH_INFO         3022    /* MQCMD_CREATE_AUTH_INFO */
#define MQG_EVENT_REASON_CMD_CREATE_BUFFER_POOL       3023    /* MQCMD_CREATE_BUFFER_POOL */
#define MQG_EVENT_REASON_CMD_CREATE_CF_STRUC          3024    /* MQCMD_CREATE_CF_STRUC */
#define MQG_EVENT_REASON_CMD_CREATE_CHANNEL           3025    /* MQCMD_CREATE_CHANNEL */
#define MQG_EVENT_REASON_CMD_CREATE_COMM_INFO         3026    /* MQCMD_CREATE_COMM_INFO */
#define MQG_EVENT_REASON_CMD_CREATE_LISTENER          3027    /* MQCMD_CREATE_LISTENER */
#define MQG_EVENT_REASON_CMD_CREATE_NAMELIST          3028    /* MQCMD_CREATE_NAMELIST */
#define MQG_EVENT_REASON_CMD_CREATE_PAGE_SET          3029    /* MQCMD_CREATE_PAGE_SET */
#define MQG_EVENT_REASON_CMD_CREATE_PROCESS           3030    /* MQCMD_CREATE_PROCESS */
#define MQG_EVENT_REASON_CMD_CREATE_Q                 3031    /* MQCMD_CREATE_Q */
#define MQG_EVENT_REASON_CMD_CREATE_SERVICE           3032    /* MQCMD_CREATE_SERVICE */
#define MQG_EVENT_REASON_CMD_CREATE_STG_CLASS         3033    /* MQCMD_CREATE_STG_CLASS */
#define MQG_EVENT_REASON_CMD_CREATE_SUBSCRIPTION      3034    /* MQCMD_CREATE_SUBSCRIPTION */
#define MQG_EVENT_REASON_CMD_CREATE_TOPIC             3035    /* MQCMD_CREATE_TOPIC */
#define MQG_EVENT_REASON_CMD_DELETE_AUTH_INFO         3036    /* MQCMD_DELETE_AUTH_INFO */
#define MQG_EVENT_REASON_CMD_DELETE_CF_STRUC          3037    /* MQCMD_DELETE_CF_STRUC */
#define MQG_EVENT_REASON_CMD_DELETE_CHANNEL           3038    /* MQCMD_DELETE_CHANNEL */
#define MQG_EVENT_REASON_CMD_DELETE_COMM_INFO         3039    /* MQCMD_DELETE_COMM_INFO */
#define MQG_EVENT_REASON_CMD_DELETE_LISTENER          3040    /* MQCMD_DELETE_LISTENER */
#define MQG_EVENT_REASON_CMD_DELETE_NAMELIST          3041    /* MQCMD_DELETE_NAMELIST */
#define MQG_EVENT_REASON_CMD_DELETE_PAGE_SET          3042    /* MQCMD_DELETE_PAGE_SET */
#define MQG_EVENT_REASON_CMD_DELETE_PROCESS           3043    /* MQCMD_DELETE_PROCESS */
#define MQG_EVENT_REASON_CMD_DELETE_Q                 3044    /* MQCMD_DELETE_Q */
#define MQG_EVENT_REASON_CMD_DELETE_SERVICE           3045    /* MQCMD_DELETE_SERVICE */
#define MQG_EVENT_REASON_CMD_DELETE_STG_CLASS         3046    /* MQCMD_DELETE_STG_CLASS */
#define MQG_EVENT_REASON_CMD_DELETE_SUBSCRIPTION      3047    /* MQCMD_DELETE_SUBSCRIPTION */
#define MQG_EVENT_REASON_CMD_DELETE_TOPIC             3048    /* MQCMD_DELETE_TOPIC */
#define MQG_EVENT_REASON_CMD_INQUIRE_ARCHIVE          3049    /* MQCMD_INQUIRE_ARCHIVE */
#define MQG_EVENT_REASON_CMD_INQUIRE_AUTH_INFO        3050    /* MQCMD_INQUIRE_AUTH_INFO */
#define MQG_EVENT_REASON_CMD_INQUIRE_CF_STRUC         3051    /* MQCMD_INQUIRE_CF_STRUC */
#define MQG_EVENT_REASON_CMD_INQUIRE_CF_STRUC_STATUS  3052    /* MQCMD_INQUIRE_CF_STRUC_STATUS */
#define MQG_EVENT_REASON_CMD_INQUIRE_CHANNEL          3053    /* MQCMD_INQUIRE_CHANNEL */
#define MQG_EVENT_REASON_CMD_INQUIRE_CHANNEL_INIT     3054    /* MQCMD_INQUIRE_CHANNEL_INIT */
#define MQG_EVENT_REASON_CMD_INQUIRE_CHANNEL_STATUS   3055    /* MQCMD_INQUIRE_CHANNEL_STATUS */
#define MQG_EVENT_REASON_CMD_INQUIRE_CHLAUTH_RECS     3056    /* MQCMD_INQUIRE_CHLAUTH_RECS */
#define MQG_EVENT_REASON_CMD_INQUIRE_CLUSTER_Q_MGR    3057    /* MQCMD_INQUIRE_CLUSTER_Q_MGR */
#define MQG_EVENT_REASON_CMD_INQUIRE_CMD_SERVER       3058    /* MQCMD_INQUIRE_CMD_SERVER */
#define MQG_EVENT_REASON_CMD_INQUIRE_COMM_INFO        3059    /* MQCMD_INQUIRE_COMM_INFO */
#define MQG_EVENT_REASON_CMD_INQUIRE_CONNECTION       3060    /* MQCMD_INQUIRE_CONNECTION */
#define MQG_EVENT_REASON_CMD_INQUIRE_LISTENER         3061    /* MQCMD_INQUIRE_LISTENER */
#define MQG_EVENT_REASON_CMD_INQUIRE_LOG              3062    /* MQCMD_INQUIRE_LOG */
#define MQG_EVENT_REASON_CMD_INQUIRE_NAMELIST         3063    /* MQCMD_INQUIRE_NAMELIST */
#define MQG_EVENT_REASON_CMD_INQUIRE_PROCESS          3064    /* MQCMD_INQUIRE_PROCESS */
#define MQG_EVENT_REASON_CMD_INQUIRE_PUBSUB_STATUS    3065    /* MQCMD_INQUIRE_PUBSUB_STATUS */
#define MQG_EVENT_REASON_CMD_INQUIRE_Q                3066    /* MQCMD_INQUIRE_Q */
#define MQG_EVENT_REASON_CMD_INQUIRE_Q_MGR            3067    /* MQCMD_INQUIRE_Q_MGR */
#define MQG_EVENT_REASON_CMD_INQUIRE_QSG              3068    /* MQCMD_INQUIRE_QSG */
#define MQG_EVENT_REASON_CMD_INQUIRE_Q_STATUS         3069    /* MQCMD_INQUIRE_Q_STATUS */
#define MQG_EVENT_REASON_CMD_INQUIRE_SECURITY         3070    /* MQCMD_INQUIRE_SECURITY */
#define MQG_EVENT_REASON_CMD_INQUIRE_SERVICE          3071    /* MQCMD_INQUIRE_SERVICE */
#define MQG_EVENT_REASON_CMD_INQUIRE_STG_CLASS        3072    /* MQCMD_INQUIRE_STG_CLASS */
#define MQG_EVENT_REASON_CMD_INQUIRE_SUBSCRIPTION     3073    /* MQCMD_INQUIRE_SUBSCRIPTION */
#define MQG_EVENT_REASON_CMD_INQUIRE_SUB_STATUS       3074    /* MQCMD_INQUIRE_SUB_STATUS */
#define MQG_EVENT_REASON_CMD_INQUIRE_SYSTEM           3075    /* MQCMD_INQUIRE_SYSTEM */
#define MQG_EVENT_REASON_CMD_INQUIRE_THREAD           3076    /* MQCMD_INQUIRE_THREAD */
#define MQG_EVENT_REASON_CMD_INQUIRE_TOPIC            3077    /* MQCMD_INQUIRE_TOPIC */
#define MQG_EVENT_REASON_CMD_INQUIRE_TOPIC_STATUS     3078    /* MQCMD_INQUIRE_TOPIC_STATUS */
#define MQG_EVENT_REASON_CMD_INQUIRE_TRACE            3079    /* MQCMD_INQUIRE_TRACE */
#define MQG_EVENT_REASON_CMD_INQUIRE_USAGE            3080    /* MQCMD_INQUIRE_USAGE */
#define MQG_EVENT_REASON_CMD_MOVE_Q                   3081    /* MQCMD_MOVE_Q */
#define MQG_EVENT_REASON_CMD_PING_CHANNEL             3082    /* MQCMD_PING_CHANNEL */
#define MQG_EVENT_REASON_CMD_RECOVER_BSDS             3083    /* MQCMD_RECOVER_BSDS */
#define MQG_EVENT_REASON_CMD_RECOVER_CF_STRUC         3084    /* MQCMD_RECOVER_CF_STRUC */
#define MQG_EVENT_REASON_CMD_REFRESH_CLUSTER          3085    /* MQCMD_REFRESH_CLUSTER */
#define MQG_EVENT_REASON_CMD_REFRESH_Q_MGR            3086    /* MQCMD_REFRESH_Q_MGR */
#define MQG_EVENT_REASON_CMD_REFRESH_SECURITY         3087    /* MQCMD_REFRESH_SECURITY */
#define MQG_EVENT_REASON_CMD_RESET_CHANNEL            3088    /* MQCMD_RESET_CHANNEL */
#define MQG_EVENT_REASON_CMD_RESET_CLUSTER            3089    /* MQCMD_RESET_CLUSTER */
#define MQG_EVENT_REASON_CMD_RESET_Q_MGR              3090    /* MQCMD_RESET_Q_MGR */
#define MQG_EVENT_REASON_CMD_RESET_Q_STATS            3091    /* MQCMD_RESET_Q_STATS */
#define MQG_EVENT_REASON_CMD_RESET_TPIPE              3092    /* MQCMD_RESET_TPIPE */
#define MQG_EVENT_REASON_CMD_RESOLVE_CHANNEL          3093    /* MQCMD_RESOLVE_CHANNEL */
#define MQG_EVENT_REASON_CMD_RESOLVE_INDOUBT          3094    /* MQCMD_RESOLVE_INDOUBT */
#define MQG_EVENT_REASON_CMD_RESUME_Q_MGR             3095    /* MQCMD_RESUME_Q_MGR */
#define MQG_EVENT_REASON_CMD_RESUME_Q_MGR_CLUSTER     3096    /* MQCMD_RESUME_Q_MGR_CLUSTER */
#define MQG_EVENT_REASON_CMD_REVERIFY_SECURITY        3097    /* MQCMD_REVERIFY_SECURITY */
#define MQG_EVENT_REASON_CMD_SET_ARCHIVE              3098    /* MQCMD_SET_ARCHIVE */
#define MQG_EVENT_REASON_CMD_SET_CHLAUTH_REC          3099    /* MQCMD_SET_CHLAUTH_REC */
#define MQG_EVENT_REASON_CMD_SET_LOG                  3100    /* MQCMD_SET_LOG */
#define MQG_EVENT_REASON_CMD_SET_SYSTEM               3101    /* MQCMD_SET_SYSTEM */
#define MQG_EVENT_REASON_CMD_START_CHANNEL            3102    /* MQCMD_START_CHANNEL */
#define MQG_EVENT_REASON_CMD_START_CHANNEL_INIT       3103    /* MQCMD_START_CHANNEL_INIT */
#define MQG_EVENT_REASON_CMD_START_CHANNEL_LISTENER   3104    /* MQCMD_START_CHANNEL_LISTENER */
#define MQG_EVENT_REASON_CMD_START_CMD_SERVER         3105    /* MQCMD_START_CMD_SERVER */
#define MQG_EVENT_REASON_CMD_START_SERVICE            3106    /* MQCMD_START_SERVICE */
#define MQG_EVENT_REASON_CMD_START_TRACE              3107    /* MQCMD_START_TRACE */
#define MQG_EVENT_REASON_CMD_STOP_CHANNEL             3108    /* MQCMD_STOP_CHANNEL */
#define MQG_EVENT_REASON_CMD_STOP_CHANNEL_INIT        3109    /* MQCMD_STOP_CHANNEL_INIT */
#define MQG_EVENT_REASON_CMD_STOP_CHANNEL_LISTENER    3110    /* MQCMD_STOP_CHANNEL_LISTENER */
#define MQG_EVENT_REASON_CMD_STOP_CMD_SERVER          3111    /* MQCMD_STOP_CMD_SERVER */
#define MQG_EVENT_REASON_CMD_STOP_CONNECTION          3112    /* MQCMD_STOP_CONNECTION */
#define MQG_EVENT_REASON_CMD_STOP_SERVICE             3113    /* MQCMD_STOP_SERVICE */
#define MQG_EVENT_REASON_CMD_STOP_TRACE               3114    /* MQCMD_STOP_TRACE */
#define MQG_EVENT_REASON_CMD_SUSPEND_Q_MGR            3115    /* MQCMD_SUSPEND_Q_MGR */
#define MQG_EVENT_REASON_CMD_SUSPEND_Q_MGR_CLUSTER    3116    /* MQCMD_SUSPEND_Q_MGR_CLUSTER */
#define MQG_EVENT_REASON_CMD_INQUIRE_Q_MGR_STATUS     3117    /* MQCMD_INQUIRE_Q_MGR_STATUS */
#define MQG_EVENT_REASON_CMD_INQUIRE_APPL_STATUS      3118    /* MQCMD_INQUIRE_APPLS_STATUS */
#define MQG_EVENT_REASON_CMD_INQUIRE_AUTH_RECS        3119    /* MQCMD_INQUIRE_AUTH_RECS */
#define MQG_EVENT_REASON_CMD_INQUIRE_AUTH_SERVICE     3120    /* MQCMD_INQUIRE_AUTH_SERVICE */
#define MQG_EVENT_REASON_CMD_STOP_Q_MGR               3121    /* MQCMD_STOP_Q_MGR */
#define MQG_EVENT_REASON_CMD_STOP_SMDSCONN            3122    /* MQCMD_STOP_SMDSCONN */
#define MQG_EVENT_REASON_CMD_COPY_AUTH_INFO           3123    /* MQCMD_COPY_AUTH_INFO */
#define MQG_EVENT_REASON_CMD_COPY_CF_STRUC            3124    /* MQCMD_COPY_CF_STRUC */
#define MQG_EVENT_REASON_CMD_COPY_CHANNEL             3125    /* MQCMD_COPY_CHANNEL */
#define MQG_EVENT_REASON_CMD_COPY_COMM_INFO           3126    /* MQCMD_COPY_COMM_INFO */
#define MQG_EVENT_REASON_CMD_COPY_LISTENER            3127    /* MQCMD_COPY_LISTENER */
#define MQG_EVENT_REASON_CMD_COPY_NAMELIST            3128    /* MQCMD_COPY_NAMELIST */
#define MQG_EVENT_REASON_CMD_COPY_PROCESS             3129    /* MQCMD_COPY_PROCESS */
#define MQG_EVENT_REASON_CMD_COPY_Q                   3130    /* MQCMD_COPY_Q */
#define MQG_EVENT_REASON_CMD_COPY_SERVICE             3131    /* MQCMD_COPY_SERVICE */
#define MQG_EVENT_REASON_CMD_COPY_STG_CLASS           3132    /* MQCMD_COPY_STG_CLASS */
#define MQG_EVENT_REASON_CMD_COPY_SUBSCRIPTION        3133    /* MQCMD_COPY_SUBSCRIPTION */
#define MQG_EVENT_REASON_CMD_COPY_TOPIC               3134    /* MQCMD_COPY_TOPIC */
#define MQG_EVENT_REASON_CMD_CHANGE_SMDS              3135    /* MQCMD_CHANGE_SMDS */
#define MQG_EVENT_REASON_CMD_CREATE_LOG               3136    /* MQCMD_CREATE_LOG */
#define MQG_EVENT_REASON_CMD_CREATE_PROT_POLICY       3137    /* MQCMD_CREATE_PROT_POLICY */
#define MQG_EVENT_REASON_CMD_DELETE_AUTH_REC          3138    /* MQCMD_DELETE_AUTH_REC */
#define MQG_EVENT_REASON_CMD_DELETE_BUFFER_POOL       3139    /* MQCMD_DELETE_BUFFER_POOL */
#define MQG_EVENT_REASON_CMD_DELETE_PROT_POLICY       3140    /* MQCMD_DELETE_PROT_POLICY */
#define MQG_EVENT_REASON_CMD_INQUIRE_AUTH_INFO_NAMES  3141    /* MQCMD_INQUIRE_AUTH_INFO_NAMES */
#define MQG_EVENT_REASON_CMD_INQUIRE_CF_STRUC_NAMES   3142    /* MQCMD_INQUIRE_CF_STRUC_NAMES */
#define MQG_EVENT_REASON_CMD_INQUIRE_CHANNEL_NAMES    3143    /* MQCMD_INQUIRE_CHANNEL_NAMES */
#define MQG_EVENT_REASON_CMD_INQUIRE_NAMELIST_NAMES   3144    /* MQCMD_INQUIRE_NAMELIST_NAMES */
#define MQG_EVENT_REASON_CMD_INQUIRE_PROCESS_NAMES    3145    /* MQCMD_INQUIRE_PROCESS_NAMES */
#define MQG_EVENT_REASON_CMD_INQUIRE_Q_NAMES          3146    /* MQCMD_INQUIRE_Q_NAMES */
#define MQG_EVENT_REASON_CMD_INQUIRE_STG_CLASS_NAMES  3147    /* MQCMD_INQUIRE_STG_CLASS_NAMES */
#define MQG_EVENT_REASON_CMD_INQUIRE_TOPIC_NAMES      3148    /* MQCMD_INQUIRE_TOPIC_NAMES */
#define MQG_EVENT_REASON_CMD_INQUIRE_ENTITY_AUTH      3149    /* MQCMD_INQUIRE_ENTITY_AUTH */
#define MQG_EVENT_REASON_CMD_INQUIRE_LISTENER_STATUS  3150    /* MQCMD_INQUIRE_LISTENER_STATUS */
#define MQG_EVENT_REASON_CMD_INQUIRE_PROT_POLICY      3151    /* MQCMD_INQUIRE_PROT_POLICY */
#define MQG_EVENT_REASON_CMD_INQUIRE_SERVICE_STATUS   3152    /* MQCMD_INQUIRE_SERVICE_STATUS */
#define MQG_EVENT_REASON_CMD_INQUIRE_SMDS             3153    /* MQCMD_INQUIRE_SMDS */
#define MQG_EVENT_REASON_CMD_INQUIRE_SMDSCONN         3154    /* MQCMD_INQUIRE_SMDSCONN */
#define MQG_EVENT_REASON_CMD_PING_Q_MGR               3155    /* MQCMD_PING_Q_MGR */
#define MQG_EVENT_REASON_CMD_PURGE_CHANNEL            3156    /* MQCMD_PURGE_CHANNEL */
#define MQG_EVENT_REASON_CMD_RESET_CF_STRUC           3157    /* MQCMD_RESET_CF_STRUC */
#define MQG_EVENT_REASON_CMD_RESET_SMDS               3158    /* MQCMD_RESET_SMDS */
#define MQG_EVENT_REASON_CMD_SET_AUTH_REC             3159    /* MQCMD_SET_AUTH_REC */
#define MQG_EVENT_REASON_CMD_SET_PROT_POLICY          3160    /* MQCMD_SET_PROT_POLICY */
#define MQG_EVENT_REASON_CMD_START_SMDSCONN           3161    /* MQCMD_START_SMDSCONN */

#define MQG_EVENT_REASON_CMD_UNKNOWN                  3999    /* UNKNOWN command */

#define MQG_EVENT_REASON_CONFIG                       4000
#define MQG_EVENT_REASON_CONFIG_CHANGE_OBJECT         4001    /* MQRC_CONFIG_CHANGE_OBJECT */
#define MQG_EVENT_REASON_CONFIG_CREATE_OBJECT         4002    /* MQRC_CONFIG_CREATE_OBJECT */
#define MQG_EVENT_REASON_CONFIG_DELETE_OBJECT         4003    /* MQRC_CONFIG_DELETE_OBJECT */
#define MQG_EVENT_REASON_CONFIG_REFRESH_OBJECT        4004    /* MQRC_CONFIG_REFRESH_OBJECT */

#define MQG_EVENT_REASON_INHIBIT                      5000
#define MQG_EVENT_REASON_INHIBIT_GET                  5001    /* MQRC_GET_INHIBITED */
#define MQG_EVENT_REASON_INHIBIT_PUT                  5002    /* MQRC_PUT_INHIBITED */

#define MQG_EVENT_REASON_LOCAL                        6000
#define MQG_EVENT_REASON_LOCAL_ALIAS_BASE_ERROR       6001    /* MQRC_ALIAS_BASE_Q_TYPE_ERROR */
#define MQG_EVENT_REASON_LOCAL_UNKNOWN_ALIAS_BASE_Q   6002    /* MQRC_UNKNOWN_ALIAS_BASE_Q */
#define MQG_EVENT_REASON_LOCAL_UNKNOWN_OBJECT_NAME    6003    /* MQRC_UNKNOWN_OBJECT_NAME */

#define MQG_EVENT_REASON_LOGGER                       7000
#define MQG_EVENT_REASON_LOGGER_STATUS                7001    /* MQRC_LOGGER_STATUS */

#define MQG_EVENT_REASON_PERFM                        8000
#define MQG_EVENT_REASON_PERFM_Q_DEPTH_HIGH           8001    /* MQRC_Q_DEPTH_HIGH */
#define MQG_EVENT_REASON_PERFM_Q_DEPTH_LOW            8002    /* MQRC_Q_DEPTH_LOW */
#define MQG_EVENT_REASON_PERFM_Q_DEPTH_FULL           8003    /* MQRC_Q_FULL */
#define MQG_EVENT_REASON_PERFM_Q_SVC_INTERVAL_HIGH    8004    /* MQRC_Q_SERVICE_INTERVAL_HIGH */
#define MQG_EVENT_REASON_PERFM_Q_SVC_INTERVAL_OK      8005    /* MQRC_Q_SERVICE_INTERVAL_OK */

#define MQG_EVENT_REASON_REMOTE                       9000
#define MQG_EVENT_REASON_REMOTE_DEF_XMITQ_TYPE_ERROR  9001    /* MQRC_DEF_XMIT_Q_TYPE_ERROR */
#define MQG_EVENT_REASON_REMOTE_DEF_XMITQ_USAGE_ERROR 9002    /* MQRC_DEF_XMIT_Q_USAGE_ERROR */
#define MQG_EVENT_REASON_REMOTE_Q_TYPE_ERROR          9003    /* MQRC_Q_TYPE_ERROR */
#define MQG_EVENT_REASON_REMOTE_REMOTE_Q_NAME_ERROR   9004    /* MQRC_REMOTE_Q_NAME_ERROR */
#define MQG_EVENT_REASON_REMOTE_XMIT_Q_TYPE_ERROR     9005    /* MQRC_XMIT_Q_TYPE_ERROR */
#define MQG_EVENT_REASON_REMOTE_XMIT_Q_USAGE_ERROR    9006    /* MQRC_XMIT_Q_USAGE_ERROR */
#define MQG_EVENT_REASON_REMOTE_UNKNOWN_DEF_XMITQ     9007    /* MQRC_UNKNOWN_DEF_XMIT_Q */
#define MQG_EVENT_REASON_REMOTE_UNKNOWN_REMOTE_QMGR   9008    /* MQRC_UNKNOWN_REMOTE_Q_MGR */
#define MQG_EVENT_REASON_REMOTE_UNKNOWN_XMIT_Q        9009    /* MQRC_UNKNOWN_XMIT_Q */

#define MQG_EVENT_REASON_SSL                         10000
#define MQG_EVENT_REASON_SSL_ERROR                   10001    /* MQRC_CHANNEL_SSL_ERROR     */
#define MQG_EVENT_REASON_SSL_WARNING                 10002    /* MQRC_CHANNEL_SSL_WARNING   */
#define MQG_EVENT_REASON_SSL_HANDSHAKE_ERROR         10003    /* MQRQ_SSL_HANDSHAKE_ERROR   */
#define MQG_EVENT_REASON_SSL_CIPHER_SPEC_ERROR       10004    /* MQRQ_SSL_CIPHER_SPEC_ERROR */
#define MQG_EVENT_REASON_SSL_PEER_NAME_ERROR         10005    /* MQRQ_SSL_PEER_NAME_ERROR   */
#define MQG_EVENT_REASON_SSL_CLIENT_AUTH_ERROR       10006    /* MQRQ_SSL_CLIENT_AUTH_ERROR */

#define MQG_EVENT_REASON_STRSTP                      11000
#define MQG_EVENT_REASON_STRSTP_QMGR_ACTIVE          11001    /* MQRC_Q_MGR_ACTIVE */
#define MQG_EVENT_REASON_STRSTP_QMGR_NOT_ACTIVE      11002    /* MQRC_Q_MGR_NOT_ACTIVE */

#define MQG_EVENT_REASON_BRIDGE                      12000
#define MQG_EVENT_REASON_BRIDGE_STARTED              12001    /* MQRC_BRIDGE_STARTED */
#define MQG_EVENT_REASON_BRIDGE_STOPPED              12002    /* MQRC_BRIDGE_STOPPED */

#define MQG_EVENT_REASON_UNKNOWN                    100000
